"use client"; // Make sure to declare this if you're using React Server Components with Next.js
import React from 'react';

interface PlayerProps {
    accessToken: string | null; // Accept the access token as a prop
}

export default function Player({ accessToken }: PlayerProps) {
    if (!accessToken) {
        return <div>Error: Missing access token.</div>; // Handle missing access token
    }

    return (
        <div>
            <h1>Access Token: {accessToken}</h1>
            {/* Render your Spotify player here using the accessToken */}
        </div>
    );
}