"use client"; // Make sure to declare this if you're using React Server Components with Next.js
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
export default function Player({ accessToken }) {
    if (!accessToken) {
        return _jsx("div", { children: "Error: Missing access token." }); // Handle missing access token
    }
    return (_jsx("div", { children: _jsxs("h1", { children: ["Access Token: ", accessToken] }) }));
}
